Subject: Re: bug#9392: 24.0.50; rmail-forward produces messages in unsupported format that cannot be customized away

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Aug 2011 01:47:06 -0400

> From: Kenichi Handa <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 30 Aug 2011 09:36:08 +0900
> 
> My last changes to rmail.el and rmailmm.el were before the
> release of 23.3, and for 23.3, I surely tested that
> rmail-forward worked with "emacs -Q" (but I must confess that I
> forgot to test the other configuration).
> 
> > AFAICS, the #part tag is not inserted because rmail-forward
> > expects rmail-start-mail return a non-nil value, but with
> > message-user-agent it returns nil.
> 
> So, It seems that something has been changed after the
> release of 23.3.

You are right, it works in Emacs 23.3 with message-user-agent.  So
this part (of rmail-forward not working in 'emacs -Q") is a recent
regression.